// Copyright 2002-2004 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// <http://www.omnigroup.com/developer/sourcecode/sourcelicense/>.
//
// $Header: /Source/CVS/OmniGroup/Frameworks/OmniAppKit/OpenStepExtensions.subproj/NSAppleScript-OAExtensions.h,v 1.5 2004/02/10 04:07:33 kc Exp $

#import <Foundation/NSObject.h> // defines MAC_OS_X_VERSION_10_2 for us if we're on 10.2.

#ifdef MAC_OS_X_VERSION_10_2

#import <Foundation/NSAppleScript.h>

@class NSAppleEventDescriptor, NSArray, NSData;
@class NSAttributedString;

@interface NSAppleScript (OAExtensions)

- (id)initWithData:(NSData *)data error:(NSDictionary **)errorInfo;
- (NSData *)compiledData;

+ (NSAttributedString *)attributedStringFromScriptResult:(NSAppleEventDescriptor *)descriptor;

// Reads AppleScript's source formatting settings; styleNumber should be one of the constants from AppleScript.h.
+ (NSDictionary *)stringAttributesForAppleScriptStyle:(int)styleNumber;
    // Only includes attributes applicable to the underlying AppleScript implementation (NSFontAttributeName, NSForegroundColorAttributeName, and NSUnderlineStyleAttributeName).

@end

#endif
